<?php



$tdatatb_ftec_blocos = array();
$tdatatb_ftec_blocos[".searchableFields"] = array();
$tdatatb_ftec_blocos[".ShortName"] = "tb_ftec_blocos";
$tdatatb_ftec_blocos[".OwnerID"] = "";
$tdatatb_ftec_blocos[".OriginalTable"] = "tb_ftec_blocos";


$tdatatb_ftec_blocos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_ftec_blocos[".originalPagesByType"] = $tdatatb_ftec_blocos[".pagesByType"];
$tdatatb_ftec_blocos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_ftec_blocos[".originalPages"] = $tdatatb_ftec_blocos[".pages"];
$tdatatb_ftec_blocos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_ftec_blocos[".originalDefaultPages"] = $tdatatb_ftec_blocos[".defaultPages"];

//	field labels
$fieldLabelstb_ftec_blocos = array();
$fieldToolTipstb_ftec_blocos = array();
$pageTitlestb_ftec_blocos = array();
$placeHolderstb_ftec_blocos = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"] = array();
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"] = array();
	$pageTitlestb_ftec_blocos["Portuguese(Brazil)"] = array();
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["ftblocoID"] = "Ftbloco ID";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["ftblocoID"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["ftblocoID"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["ftecnicaID"] = "Ftecnica ID";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["ftecnicaID"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["ftecnicaID"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["tamanho"] = "Tamanho";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["tamanho"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["tamanho"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["face"] = "Face";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["face"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["face"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["Comprimento"] = "Comprimento";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["Comprimento"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["Comprimento"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["largura"] = "Largura";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["largura"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["largura"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["espessura"] = "Espessura";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["espessura"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["espessura"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["angulo_traseiro"] = "Angulo Traseiro";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["angulo_traseiro"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["angulo_traseiro"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["angulo_bandeja"] = "Angulo Bandeja";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["angulo_bandeja"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["angulo_bandeja"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["angulo_palheta"] = "Angulo Palheta";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["angulo_palheta"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["angulo_palheta"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["link_sgv"] = "Link Sgv";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["link_sgv"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["link_sgv"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["link_grv"] = "Link Grv";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["link_grv"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["link_grv"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["des_tecnico"] = "Des Tecnico";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["des_tecnico"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["des_tecnico"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["status"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["vigente"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["vigente"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["pdtoID"] = "Pdto ID";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["pdtoID"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["pdtoID"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["clienteID"] = "Cliente ID";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["clienteID"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["clienteID"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["referencia"] = "Referencia";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["referencia"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["referencia"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["nome_aux"] = "Nome Aux";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["nome_aux"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["nome_aux"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["pasta_tecnica"] = "Pasta Tecnica";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["pasta_tecnica"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["pasta_tecnica"] = "";
	$fieldLabelstb_ftec_blocos["Portuguese(Brazil)"]["cliente"] = "Cliente";
	$fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]["cliente"] = "";
	$placeHolderstb_ftec_blocos["Portuguese(Brazil)"]["cliente"] = "";
	if (count($fieldToolTipstb_ftec_blocos["Portuguese(Brazil)"]))
		$tdatatb_ftec_blocos[".isUseToolTips"] = true;
}


	$tdatatb_ftec_blocos[".NCSearch"] = true;


	$tdatatb_ftec_blocos[".scrollGridBody"] = true;

$tdatatb_ftec_blocos[".shortTableName"] = "tb_ftec_blocos";
$tdatatb_ftec_blocos[".nSecOptions"] = 0;

$tdatatb_ftec_blocos[".mainTableOwnerID"] = "";
$tdatatb_ftec_blocos[".entityType"] = 0;

$tdatatb_ftec_blocos[".strOriginalTableName"] = "tb_ftec_blocos";

	



$tdatatb_ftec_blocos[".showAddInPopup"] = false;

$tdatatb_ftec_blocos[".showEditInPopup"] = false;

$tdatatb_ftec_blocos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_ftec_blocos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_ftec_blocos[".listAjax"] = false;
//	temporary
$tdatatb_ftec_blocos[".listAjax"] = false;

	$tdatatb_ftec_blocos[".audit"] = false;

	$tdatatb_ftec_blocos[".locking"] = false;


$pages = $tdatatb_ftec_blocos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_ftec_blocos[".edit"] = true;
	$tdatatb_ftec_blocos[".afterEditAction"] = 0;
	$tdatatb_ftec_blocos[".closePopupAfterEdit"] = 1;
	$tdatatb_ftec_blocos[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_ftec_blocos[".add"] = true;
$tdatatb_ftec_blocos[".afterAddAction"] = 0;
$tdatatb_ftec_blocos[".closePopupAfterAdd"] = 1;
$tdatatb_ftec_blocos[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_ftec_blocos[".list"] = true;
}



$tdatatb_ftec_blocos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_ftec_blocos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_ftec_blocos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_ftec_blocos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_ftec_blocos[".printFriendly"] = true;
}



$tdatatb_ftec_blocos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_ftec_blocos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_ftec_blocos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_ftec_blocos[".isUseAjaxSuggest"] = true;

$tdatatb_ftec_blocos[".rowHighlite"] = true;





$tdatatb_ftec_blocos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_ftec_blocos[".buttonsAdded"] = false;

$tdatatb_ftec_blocos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_ftec_blocos[".isUseTimeForSearch"] = false;


$tdatatb_ftec_blocos[".badgeColor"] = "6da5c8";


$tdatatb_ftec_blocos[".allSearchFields"] = array();
$tdatatb_ftec_blocos[".filterFields"] = array();
$tdatatb_ftec_blocos[".requiredSearchFields"] = array();

$tdatatb_ftec_blocos[".googleLikeFields"] = array();
$tdatatb_ftec_blocos[".googleLikeFields"][] = "ftblocoID";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "ftecnicaID";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "tamanho";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "face";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "Comprimento";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "largura";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "espessura";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "angulo_traseiro";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "angulo_bandeja";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "angulo_palheta";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "link_sgv";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "link_grv";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "des_tecnico";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "status";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "vigente";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "pdtoID";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "clienteID";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "referencia";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "nome_aux";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "categoria";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "pasta_tecnica";
$tdatatb_ftec_blocos[".googleLikeFields"][] = "cliente";



$tdatatb_ftec_blocos[".tableType"] = "list";

$tdatatb_ftec_blocos[".printerPageOrientation"] = 0;
$tdatatb_ftec_blocos[".nPrinterPageScale"] = 100;

$tdatatb_ftec_blocos[".nPrinterSplitRecords"] = 40;

$tdatatb_ftec_blocos[".geocodingEnabled"] = false;










$tdatatb_ftec_blocos[".pageSize"] = 20;

$tdatatb_ftec_blocos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_ftec_blocos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_ftec_blocos[".orderindexes"] = array();

$tdatatb_ftec_blocos[".sqlHead"] = "SELECT tb_ftec_blocos.ftblocoID,  tb_ftec_blocos.ftecnicaID,  tb_ftec_blocos.tamanho,  tb_ftec_blocos.face,  tb_ftec_blocos.Comprimento,  tb_ftec_blocos.largura,  tb_ftec_blocos.espessura,  tb_ftec_blocos.angulo_traseiro,  tb_ftec_blocos.angulo_bandeja,  tb_ftec_blocos.angulo_palheta,  tb_ftec_blocos.link_sgv,  tb_ftec_blocos.link_grv,  tb_ftec_blocos.des_tecnico,  tb_ftec_blocos.status,  tb_ftec_blocos.vigente,  tb_ftec_blocos.pdtoID,  tb_produtos.clienteID,  tb_produtos.referencia,  tb_produtos.nome_aux,  tb_produtos.categoria,  tb_ftec_blocos.pasta_tecnica,  tb_clientes.cliente";
$tdatatb_ftec_blocos[".sqlFrom"] = "FROM tb_ftec_blocos  INNER JOIN tb_produtos ON tb_ftec_blocos.pdtoID = tb_produtos.pdtoiD  INNER JOIN tb_clientes ON tb_produtos.clienteID = tb_clientes.clienteID";
$tdatatb_ftec_blocos[".sqlWhereExpr"] = "";
$tdatatb_ftec_blocos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_ftec_blocos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_ftec_blocos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_ftec_blocos[".highlightSearchResults"] = true;

$tableKeystb_ftec_blocos = array();
$tableKeystb_ftec_blocos[] = "ftblocoID";
$tdatatb_ftec_blocos[".Keys"] = $tableKeystb_ftec_blocos;


$tdatatb_ftec_blocos[".hideMobileList"] = array();




//	ftblocoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ftblocoID";
	$fdata["GoodName"] = "ftblocoID";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","ftblocoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ftblocoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.ftblocoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["ftblocoID"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "ftblocoID";
//	ftecnicaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ftecnicaID";
	$fdata["GoodName"] = "ftecnicaID";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","ftecnicaID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ftecnicaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.ftecnicaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["ftecnicaID"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "ftecnicaID";
//	tamanho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tamanho";
	$fdata["GoodName"] = "tamanho";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","tamanho");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tamanho";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.tamanho";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["tamanho"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "tamanho";
//	face
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "face";
	$fdata["GoodName"] = "face";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","face");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "face";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.face";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Bandeja";
	$edata["LookupValues"][] = "Perfil";
	$edata["LookupValues"][] = "Palheta";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["face"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "face";
//	Comprimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Comprimento";
	$fdata["GoodName"] = "Comprimento";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","Comprimento");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Comprimento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.Comprimento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["Comprimento"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "Comprimento";
//	largura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "largura";
	$fdata["GoodName"] = "largura";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","largura");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "largura";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.largura";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["largura"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "largura";
//	espessura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "espessura";
	$fdata["GoodName"] = "espessura";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","espessura");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "espessura";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.espessura";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["espessura"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "espessura";
//	angulo_traseiro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "angulo_traseiro";
	$fdata["GoodName"] = "angulo_traseiro";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","angulo_traseiro");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "angulo_traseiro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.angulo_traseiro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["angulo_traseiro"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "angulo_traseiro";
//	angulo_bandeja
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "angulo_bandeja";
	$fdata["GoodName"] = "angulo_bandeja";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","angulo_bandeja");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "angulo_bandeja";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.angulo_bandeja";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["angulo_bandeja"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "angulo_bandeja";
//	angulo_palheta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "angulo_palheta";
	$fdata["GoodName"] = "angulo_palheta";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","angulo_palheta");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "angulo_palheta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.angulo_palheta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["angulo_palheta"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "angulo_palheta";
//	link_sgv
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "link_sgv";
	$fdata["GoodName"] = "link_sgv";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","link_sgv");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "link_sgv";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.link_sgv";

	
	
				$fdata["UploadFolder"] = "uploads\\ftec\\sgv";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
				$vdata["ShowThumbnail"] = true;
					$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["link_sgv"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "link_sgv";
//	link_grv
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "link_grv";
	$fdata["GoodName"] = "link_grv";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","link_grv");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "link_grv";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.link_grv";

	
	
				$fdata["UploadFolder"] = "uploads\\ftec\\grv";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
				$vdata["ShowThumbnail"] = true;
					$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["link_grv"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "link_grv";
//	des_tecnico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "des_tecnico";
	$fdata["GoodName"] = "des_tecnico";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","des_tecnico");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "des_tecnico";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.des_tecnico";

	
	
				$fdata["UploadFolder"] = "uploads\\ftec";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ShowThumbnail"] = true;
	$vdata["ThumbWidth"] = 200;
	$vdata["ThumbHeight"] = 150;
	$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 3;
	$vdata["maxImages"] = 0;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 2;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
							$edata["acceptFileTypes"] = "bmp";
			$edata["acceptFileTypesHtml"] = ".bmp";
						$edata["acceptFileTypes"] .= "|cdr";
			$edata["acceptFileTypesHtml"] .= ",.cdr";
						$edata["acceptFileTypes"] .= "|doc";
			$edata["acceptFileTypesHtml"] .= ",.doc";
						$edata["acceptFileTypes"] .= "|docx";
			$edata["acceptFileTypesHtml"] .= ",.docx";
						$edata["acceptFileTypes"] .= "|gif";
			$edata["acceptFileTypesHtml"] .= ",.gif";
						$edata["acceptFileTypes"] .= "|jpg";
			$edata["acceptFileTypesHtml"] .= ",.jpg";
						$edata["acceptFileTypes"] .= "|pdf";
			$edata["acceptFileTypesHtml"] .= ",.pdf";
						$edata["acceptFileTypes"] .= "|png";
			$edata["acceptFileTypesHtml"] .= ",.png";
						$edata["acceptFileTypes"] .= "|rtf";
			$edata["acceptFileTypesHtml"] .= ",.rtf";
						$edata["acceptFileTypes"] .= "|sgv";
			$edata["acceptFileTypesHtml"] .= ",.sgv";
						$edata["acceptFileTypes"] .= "|txt";
			$edata["acceptFileTypesHtml"] .= ",.txt";
		$edata["acceptFileTypes"] = "(".$edata["acceptFileTypes"].")$";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["des_tecnico"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "des_tecnico";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Modelagem";
	$edata["LookupValues"][] = "Teste Produção ";
	$edata["LookupValues"][] = "Revisado";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["status"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "status";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["vigente"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "vigente";
//	pdtoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "pdtoID";
	$fdata["GoodName"] = "pdtoID";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","pdtoID");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "pdtoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.pdtoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["pdtoID"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "pdtoID";
//	clienteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "clienteID";
	$fdata["GoodName"] = "clienteID";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","clienteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "clienteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_produtos.clienteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["clienteID"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "clienteID";
//	referencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "referencia";
	$fdata["GoodName"] = "referencia";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","referencia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "referencia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_produtos.referencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["referencia"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "referencia";
//	nome_aux
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "nome_aux";
	$fdata["GoodName"] = "nome_aux";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","nome_aux");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome_aux";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_produtos.nome_aux";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["nome_aux"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "nome_aux";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","categoria");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_produtos.categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["categoria"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "categoria";
//	pasta_tecnica
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "pasta_tecnica";
	$fdata["GoodName"] = "pasta_tecnica";
	$fdata["ownerTable"] = "tb_ftec_blocos";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","pasta_tecnica");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "pasta_tecnica";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_ftec_blocos.pasta_tecnica";

	
	
				$fdata["UploadFolder"] = "uploads\\ftec\\Pasta_tecnica";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
				$vdata["ShowThumbnail"] = true;
					$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["pasta_tecnica"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "pasta_tecnica";
//	cliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "cliente";
	$fdata["GoodName"] = "cliente";
	$fdata["ownerTable"] = "tb_clientes";
	$fdata["Label"] = GetFieldLabel("tb_ftec_blocos","cliente");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_clientes.cliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_ftec_blocos["cliente"] = $fdata;
		$tdatatb_ftec_blocos[".searchableFields"][] = "cliente";


$tables_data["tb_ftec_blocos"]=&$tdatatb_ftec_blocos;
$field_labels["tb_ftec_blocos"] = &$fieldLabelstb_ftec_blocos;
$fieldToolTips["tb_ftec_blocos"] = &$fieldToolTipstb_ftec_blocos;
$placeHolders["tb_ftec_blocos"] = &$placeHolderstb_ftec_blocos;
$page_titles["tb_ftec_blocos"] = &$pageTitlestb_ftec_blocos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_ftec_blocos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_ftec_blocos"] = array();



	
				$strOriginalDetailsTable="tb_ficha_tecnica";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_ficha_tecnica";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_ficha_tecnica";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_ftec_blocos"][0] = $masterParams;
				$masterTablesData["tb_ftec_blocos"][0]["masterKeys"] = array();
	$masterTablesData["tb_ftec_blocos"][0]["masterKeys"][]="ftecID";
				$masterTablesData["tb_ftec_blocos"][0]["masterKeys"][]="pdtoID";
				$masterTablesData["tb_ftec_blocos"][0]["detailKeys"] = array();
	$masterTablesData["tb_ftec_blocos"][0]["detailKeys"][]="ftecnicaID";
				$masterTablesData["tb_ftec_blocos"][0]["detailKeys"][]="pdtoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_ftec_blocos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tb_ftec_blocos.ftblocoID,  tb_ftec_blocos.ftecnicaID,  tb_ftec_blocos.tamanho,  tb_ftec_blocos.face,  tb_ftec_blocos.Comprimento,  tb_ftec_blocos.largura,  tb_ftec_blocos.espessura,  tb_ftec_blocos.angulo_traseiro,  tb_ftec_blocos.angulo_bandeja,  tb_ftec_blocos.angulo_palheta,  tb_ftec_blocos.link_sgv,  tb_ftec_blocos.link_grv,  tb_ftec_blocos.des_tecnico,  tb_ftec_blocos.status,  tb_ftec_blocos.vigente,  tb_ftec_blocos.pdtoID,  tb_produtos.clienteID,  tb_produtos.referencia,  tb_produtos.nome_aux,  tb_produtos.categoria,  tb_ftec_blocos.pasta_tecnica,  tb_clientes.cliente";
$proto0["m_strFrom"] = "FROM tb_ftec_blocos  INNER JOIN tb_produtos ON tb_ftec_blocos.pdtoID = tb_produtos.pdtoiD  INNER JOIN tb_clientes ON tb_produtos.clienteID = tb_clientes.clienteID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ftblocoID",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto6["m_sql"] = "tb_ftec_blocos.ftblocoID";
$proto6["m_srcTableName"] = "tb_ftec_blocos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ftecnicaID",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto8["m_sql"] = "tb_ftec_blocos.ftecnicaID";
$proto8["m_srcTableName"] = "tb_ftec_blocos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tamanho",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto10["m_sql"] = "tb_ftec_blocos.tamanho";
$proto10["m_srcTableName"] = "tb_ftec_blocos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "face",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto12["m_sql"] = "tb_ftec_blocos.face";
$proto12["m_srcTableName"] = "tb_ftec_blocos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Comprimento",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto14["m_sql"] = "tb_ftec_blocos.Comprimento";
$proto14["m_srcTableName"] = "tb_ftec_blocos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "largura",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto16["m_sql"] = "tb_ftec_blocos.largura";
$proto16["m_srcTableName"] = "tb_ftec_blocos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "espessura",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto18["m_sql"] = "tb_ftec_blocos.espessura";
$proto18["m_srcTableName"] = "tb_ftec_blocos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "angulo_traseiro",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto20["m_sql"] = "tb_ftec_blocos.angulo_traseiro";
$proto20["m_srcTableName"] = "tb_ftec_blocos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "angulo_bandeja",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto22["m_sql"] = "tb_ftec_blocos.angulo_bandeja";
$proto22["m_srcTableName"] = "tb_ftec_blocos";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "angulo_palheta",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto24["m_sql"] = "tb_ftec_blocos.angulo_palheta";
$proto24["m_srcTableName"] = "tb_ftec_blocos";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "link_sgv",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto26["m_sql"] = "tb_ftec_blocos.link_sgv";
$proto26["m_srcTableName"] = "tb_ftec_blocos";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "link_grv",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto28["m_sql"] = "tb_ftec_blocos.link_grv";
$proto28["m_srcTableName"] = "tb_ftec_blocos";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "des_tecnico",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto30["m_sql"] = "tb_ftec_blocos.des_tecnico";
$proto30["m_srcTableName"] = "tb_ftec_blocos";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto32["m_sql"] = "tb_ftec_blocos.status";
$proto32["m_srcTableName"] = "tb_ftec_blocos";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto34["m_sql"] = "tb_ftec_blocos.vigente";
$proto34["m_srcTableName"] = "tb_ftec_blocos";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "pdtoID",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto36["m_sql"] = "tb_ftec_blocos.pdtoID";
$proto36["m_srcTableName"] = "tb_ftec_blocos";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "clienteID",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto38["m_sql"] = "tb_produtos.clienteID";
$proto38["m_srcTableName"] = "tb_ftec_blocos";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "referencia",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto40["m_sql"] = "tb_produtos.referencia";
$proto40["m_srcTableName"] = "tb_ftec_blocos";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "nome_aux",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto42["m_sql"] = "tb_produtos.nome_aux";
$proto42["m_srcTableName"] = "tb_ftec_blocos";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto44["m_sql"] = "tb_produtos.categoria";
$proto44["m_srcTableName"] = "tb_ftec_blocos";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "pasta_tecnica",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto46["m_sql"] = "tb_ftec_blocos.pasta_tecnica";
$proto46["m_srcTableName"] = "tb_ftec_blocos";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "cliente",
	"m_strTable" => "tb_clientes",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto48["m_sql"] = "tb_clientes.cliente";
$proto48["m_srcTableName"] = "tb_ftec_blocos";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto50=array();
$proto50["m_link"] = "SQLL_MAIN";
			$proto51=array();
$proto51["m_strName"] = "tb_ftec_blocos";
$proto51["m_srcTableName"] = "tb_ftec_blocos";
$proto51["m_columns"] = array();
$proto51["m_columns"][] = "ftblocoID";
$proto51["m_columns"][] = "ftecnicaID";
$proto51["m_columns"][] = "tamanho";
$proto51["m_columns"][] = "face";
$proto51["m_columns"][] = "Comprimento";
$proto51["m_columns"][] = "largura";
$proto51["m_columns"][] = "espessura";
$proto51["m_columns"][] = "angulo_traseiro";
$proto51["m_columns"][] = "angulo_bandeja";
$proto51["m_columns"][] = "angulo_palheta";
$proto51["m_columns"][] = "link_sgv";
$proto51["m_columns"][] = "link_grv";
$proto51["m_columns"][] = "des_tecnico";
$proto51["m_columns"][] = "status";
$proto51["m_columns"][] = "vigente";
$proto51["m_columns"][] = "pdtoID";
$proto51["m_columns"][] = "pasta_tecnica";
$obj = new SQLTable($proto51);

$proto50["m_table"] = $obj;
$proto50["m_sql"] = "tb_ftec_blocos";
$proto50["m_alias"] = "";
$proto50["m_srcTableName"] = "tb_ftec_blocos";
$proto52=array();
$proto52["m_sql"] = "";
$proto52["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto52["m_column"]=$obj;
$proto52["m_contained"] = array();
$proto52["m_strCase"] = "";
$proto52["m_havingmode"] = false;
$proto52["m_inBrackets"] = false;
$proto52["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto52);

$proto50["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto50);

$proto0["m_fromlist"][]=$obj;
												$proto54=array();
$proto54["m_link"] = "SQLL_INNERJOIN";
			$proto55=array();
$proto55["m_strName"] = "tb_produtos";
$proto55["m_srcTableName"] = "tb_ftec_blocos";
$proto55["m_columns"] = array();
$proto55["m_columns"][] = "pdtoiD";
$proto55["m_columns"][] = "clienteID";
$proto55["m_columns"][] = "referencia";
$proto55["m_columns"][] = "nome_aux";
$proto55["m_columns"][] = "categoria";
$proto55["m_columns"][] = "status";
$proto55["m_columns"][] = "foto";
$proto55["m_columns"][] = "ficha_tec";
$obj = new SQLTable($proto55);

$proto54["m_table"] = $obj;
$proto54["m_sql"] = "INNER JOIN tb_produtos ON tb_ftec_blocos.pdtoID = tb_produtos.pdtoiD";
$proto54["m_alias"] = "";
$proto54["m_srcTableName"] = "tb_ftec_blocos";
$proto56=array();
$proto56["m_sql"] = "tb_ftec_blocos.pdtoID = tb_produtos.pdtoiD";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "pdtoID",
	"m_strTable" => "tb_ftec_blocos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "= tb_produtos.pdtoiD";
$proto56["m_havingmode"] = false;
$proto56["m_inBrackets"] = false;
$proto56["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto56);

$proto54["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto54);

$proto0["m_fromlist"][]=$obj;
												$proto58=array();
$proto58["m_link"] = "SQLL_INNERJOIN";
			$proto59=array();
$proto59["m_strName"] = "tb_clientes";
$proto59["m_srcTableName"] = "tb_ftec_blocos";
$proto59["m_columns"] = array();
$proto59["m_columns"][] = "clienteID";
$proto59["m_columns"][] = "cliente";
$proto59["m_columns"][] = "empresa";
$proto59["m_columns"][] = "data_cadastro";
$proto59["m_columns"][] = "whats";
$proto59["m_columns"][] = "email";
$proto59["m_columns"][] = "ativar";
$obj = new SQLTable($proto59);

$proto58["m_table"] = $obj;
$proto58["m_sql"] = "INNER JOIN tb_clientes ON tb_produtos.clienteID = tb_clientes.clienteID";
$proto58["m_alias"] = "";
$proto58["m_srcTableName"] = "tb_ftec_blocos";
$proto60=array();
$proto60["m_sql"] = "tb_produtos.clienteID = tb_clientes.clienteID";
$proto60["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "clienteID",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_ftec_blocos"
));

$proto60["m_column"]=$obj;
$proto60["m_contained"] = array();
$proto60["m_strCase"] = "= tb_clientes.clienteID";
$proto60["m_havingmode"] = false;
$proto60["m_inBrackets"] = false;
$proto60["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto60);

$proto58["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto58);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_ftec_blocos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_ftec_blocos = createSqlQuery_tb_ftec_blocos();


	
		;

																						

$tdatatb_ftec_blocos[".sqlquery"] = $queryData_tb_ftec_blocos;

$tableEvents["tb_ftec_blocos"] = new eventsBase;
$tdatatb_ftec_blocos[".hasEvents"] = false;

?>